For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of databases for an account
          • POSTAdd a new database
          • GETRetrieves a paginated list of databases for an account, with optional fuzzy search query
          • GETRetrieves a single database
          • DELDeletes database
          • GETGets a list of extra import fields
          • PUTSubmits a list of extra import fields
          • GETReturns a list of mapped fields in the file map
          • POSTSets a database primary key
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformDatabase

Retrieves a single database

GET
https://meta.feedonomics.com/api.php/dbs/:db_id
GET
/api.php/dbs/:db_id
$curl https://meta.feedonomics.com/api.php/dbs/1.1 \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Database_retrievesASingleDatabase_example
1{
2 "id": "1",
3 "name": "Main Product Feed",
4 "user_id": "74",
5 "account_id": "73",
6 "import_running": "0",
7 "export_running": "0",
8 "paused": "0",
9 "visibility": "1",
10 "oauth_id": "0",
11 "email_address": "admin@feedonomics.com",
12 "google_account_id": "1234567890",
13 "google_account_name": "feedonomics@gmail.com",
14 "google_analytics_oauth_id": "0",
15 "google_analytics_profile_id": "UA-12345678-1",
16 "amazon_seller_id": "A1B2C3D4E5F6G7",
17 "amazon_marketplace_id": "ATVPDKIKX0DER",
18 "amazon_mws_auth_token": "amzn.mws.abcdef1234567890",
19 "bing_oauth_id": "0",
20 "bing_shopping_account_id": "bing_account_001",
21 "bing_shopping_campaign_id": "bing_campaign_123",
22 "polyvore_username": "feed_user",
23 "polyvore_password": "securepassword123",
24 "polyvore_campaign_id": "poly_campaign_456",
25 "external_id": "external_db_001",
26 "time": "2023-11-01 10:15:30",
27 "feedonomics_auth_token": "cce3ddc6fbcf2ea7d4d3931c8d8821af4dcb666d401cdce643c699d4beb76895",
28 "manual_billing_exclusion": "0",
29 "google_merchant_center_oauth_id": "gmcoauth123456",
30 "google_merchant_center_account_id": "9876543210",
31 "google_my_business_oauth_id": "gmboauth098765",
32 "timestamp": "2023-11-01 10:16:00",
33 "billing_parent_id": "0",
34 "sears_email": "searsfeed@feedonomics.com",
35 "sears_seller_id": "sears_seller_789",
36 "sears_secret_key": "sears_secret_abc123",
37 "walmart_private_key": "walmart_private_key_xyz789",
38 "walmart_consumer_id": "walmart_consumer_456",
39 "kijiji_oauth_id": "0",
40 "mercado_libre_client_id": "ml_client_123",
41 "mercado_libre_client_secret": "ml_secret_456",
42 "mercado_libre_oauth_id": "0",
43 "mercado_libre_country": "MX",
44 "google_sheets_oauth_id": "gsheets_oauth_001",
45 "shopify_oauth_id": "shopify_oauth_002",
46 "facebook_oauth_id": "facebook_oauth_003",
47 "facebook_page_id": "fb_page_12345",
48 "facebook_cms_id": "fb_cms_67890",
49 "character_set": "utf8",
50 "host": "192.168.1.100",
51 "scheduler_host": "scheduler.feedonomics.com",
52 "feed_report_host": "reports.feedonomics.com",
53 "cxn_id": "301",
54 "run_import_id": "6b75de51ce790807",
55 "data_count": "14139",
56 "google_service_account_id": "gsa_123456",
57 "woocommerce_oauth_id": "woocommerce_oauth_789",
58 "bigcommerce_oauth_id": "bigcommerce_oauth_456",
59 "empty_exports_on_data_refresh_failures": "0",
60 "last_run_imports_status": "success",
61 "etsy_oauth_id": "0",
62 "wish_oauth_id": "0",
63 "created_at": "2023-11-01 10:15:30",
64 "deleted_at": "0000-00-00 00:00:00",
65 "features": {},
66 "db_group_id": 12,
67 "default_db_group_id": 5,
68 "paused_at": "0000-00-00 00:00:00"
69}
Was this page helpful?
Previous

Retrieves a paginated list of databases for an account, with optional fuzzy search query

Next

Deletes database

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired

Headers

x-api-keystringRequired

Response

Get single DB
idstring
namestring
category_field_offsetstringformat: "nullable"
user_idstring
account_idstring
import_runningstring
export_runningstring
pausedstring
visibilitystring
oauth_idstring
email_addressstring
google_account_idstring
google_account_namestring
google_analytics_oauth_idstring
google_analytics_profile_idstring
amazon_seller_idstring
amazon_marketplace_idstring
amazon_mws_auth_tokenstring
bing_oauth_idstring
bing_shopping_account_idstring
bing_shopping_campaign_idstring
polyvore_usernamestring
polyvore_passwordstring
polyvore_campaign_idstring
external_idstring
timestring
feedonomics_auth_tokenstring
manual_billing_exclusionstring
google_merchant_center_oauth_idstring
google_merchant_center_account_idstring
google_my_business_oauth_idstring
timestampstring
billing_parent_idstring
sears_emailstring
sears_seller_idstring
sears_secret_keystring
walmart_private_keystring
walmart_consumer_idstring
kijiji_oauth_idstring
mercado_libre_client_idstring
mercado_libre_client_secretstring
mercado_libre_oauth_idstring
mercado_libre_countrystring
google_sheets_oauth_idstring
shopify_oauth_idstring
facebook_oauth_idstring
facebook_page_idstring
facebook_cms_idstring
character_setstring
hoststring
scheduler_hoststring
feed_report_hoststring
cxn_idstring
run_import_idstring
data_countstring
google_service_account_idstring
woocommerce_oauth_idstring
bigcommerce_oauth_idstring
empty_exports_on_data_refresh_failuresstring
last_run_imports_statusstring
etsy_oauth_idstringformat: "nullable"
wish_oauth_idstring
db_servicestring
created_atstring
deleted_atstring
mirakl_oauth_idstring
run_import_statsstring
run_import_durationstring
featuresobject
db_group_idinteger
default_db_group_idinteger